package com.ho.business.mapper;

import com.ho.business.entity.DeviceTypeConfig;
import com.ho.business.vo.req.device.DeviceTypeQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author dell
* @description 针对表【device_type_config】的数据库操作Mapper
* @createDate 2022-12-22 20:06:53
*/
@Mapper
public interface DeviceTypeConfigMapper {

    DeviceTypeConfig selectById(Integer id);

    //按条件查询列表
    List<DeviceTypeConfig> selectListByCondition(DeviceTypeQuery deviceTypeQuery);

    Integer add(DeviceTypeConfig deviceTypeConfig);

    //批量新增设备表字段
    int addBatchDeviceTypeConfig(@Param("list") List<DeviceTypeConfig> list);

    void update(DeviceTypeConfig deviceTypeConfig);

    //物理删除,暂时用不到,这个表先逻辑删除
    void deletedById(Integer id);
    //根据电站id删除设备配置
    int deleteByStationId(Integer stationId);

   /**
     * 根据设备类型查询设备类型配置
     * @param deviceType 设备类型
     * @return
     */
    DeviceTypeConfig selectByDeviceType(String deviceType,Integer groupId);

    List<DeviceTypeConfig> selectByType(String deviceType, Integer stationId);

    /**
     * 批量更新设备类型
     * @param list
     * @return
     */
    int updateDeviceTypeConfigList(List<DeviceTypeConfig> list);
}




